package br.usp.ime.exemplos.servlet;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import br.usp.ime.exemplos.model.GerenciadorDeNoticias;
import br.usp.ime.exemplos.model.Noticia;

@SuppressWarnings("serial")
public class CadastrarNoticiaServlet extends HttpServlet {

	private GerenciadorDeNoticias gerenciadorDeNoticias = GerenciadorDeNoticias.getInstancia();
	
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		String mensagemNoticia = request.getParameter("mensagemNoticia");
		
		Noticia noticia = new Noticia(mensagemNoticia);
		
		gerenciadorDeNoticias.adicionaNoticia(noticia);
		
		RequestDispatcher dispatcher = request.getRequestDispatcher("/cadastroDeNoticias.jsp");
		dispatcher.forward(request, response);
	}

}
