

function preencheCidades(){
	var estadoSelecionado = pegaEstadoSelecionado();
	var httpRequest = createXMLHttpRequest();
	var url = 'VerificarCidadesDoEstadoServlet?estadoSelecionado=' + estadoSelecionado;
	httpRequest.open('GET', url, true);
	httpRequest.onreadystatechange = function(){
	    if( this.readyState == 4 && this.status == 200 ){
	    	trataListaDeCidades(this);
	    }
	};	
	httpRequest.send(null);
}

function trataListaDeCidades(httpRequest){
	var documentoXML = httpRequest.responseXML;
	var nodeList = documentoXML.getElementsByTagName("cidade");
	limpaCidades();
	for(var i = 0; i < nodeList.length; i++){
		var nomeDaCidade = nodeList.item(i).firstChild.data;
		adicionaCidade(nomeDaCidade);
	}
}

function limpaCidades(){
	var cidade = document.getElementById("cidade");
	for(var i = cidade.options.length - 1; i >= 0; i--){
		cidade.remove(i);
	}
}

function adicionaCidade(nomeDaCidade){
	var cidade = document.getElementById("cidade");
	var y=document.createElement('option');
	y.text=nomeDaCidade;
	cidade.add(y,null);
}

function pegaEstadoSelecionado(){
	var selectEstados = document.getElementById("estado");
	var optionSelecionado = selectEstados.options[selectEstados.selectedIndex];
	return optionSelecionado.value;	
}


function createXMLHttpRequest() {	
	try { return new ActiveXObject("Msxml2.XMLHTTP");    } catch(e) {}
	try { return new ActiveXObject("Microsoft.XMLHTTP"); } catch(e) {}
	try { return new XMLHttpRequest();                   } catch(e) {}
	alert("XMLHttpRequest not supported");
	return null;
}